import java.awt.Color;
import java.awt.Graphics;

public class ShadowBall extends DecoratedBall
{
    private int paintCount;

    public ShadowBall( Ball aBall )
    {
        super( aBall );
        paintCount = 0;
    }

    public void paint( Graphics g )
    {
        super.paint( g );
        paintCount++;

        if ( paintCount >= 100 )
        {
            Color oldColor = worker().color();
            worker().setColor( oldColor.darker() );
            paintCount = 0;
        }
    }
}
