import java.awt.Color;
import java.awt.Graphics;

public class Disk
{
    private int   x;
    private int   y;
    private int   radius;
    private Color color;

    public Disk( int x, int y, int r )
    {
        this.x = x;
        this.y = y;
        radius = r;
        color  = Color.blue;
    }

    public void paint( Graphics g )
    {
        g.setColor( color );
        g.fillOval( x, y, radius*2, radius*2 );
    }

    // access methods

    protected void moveBy( int deltaX, int deltaY )
    {
        x += deltaX;
        y += deltaY;
    }

    protected void growBy( int changeInRadius )
    {
        radius += changeInRadius;
    }

    protected int x()
    {
        return x;
    }

    protected int y()
    {
        return y;
    }

    protected Color color   ()          { return color; }
    protected void  setColor( Color c ) { color = c; }
}
